Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrnv2.session.impl
Class ConsultrnCBSSPersonServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.consultrnv2.session.impl.ConsultrnCBSSPersonServiceImpl

All Implemented Interfaces:
  ConsultrnCBSSPersonService

    public class ConsultrnCBSSPersonServiceImpl

extends Object
implements ConsultrnCBSSPersonService

Constructor Summary
`ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

Method Summary
`RegisterPersonResponse` | `registerPerson(RegisterPersonRequest request)` When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with: `(RegisterPersonResponse) soaErrorException.getResponseTypeV2()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultrnCBSSPersonServiceImpl

    public ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator,
                                          EhealthReplyValidator replyValidator)

Method Detail

### registerPerson

    public RegisterPersonResponse registerPerson(RegisterPersonRequest request)
                                          throws TechnicalConnectorException

  Description copied from interface: `ConsultrnCBSSPersonService`
  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

       (RegisterPersonResponse) soaErrorException.getResponseTypeV2()

  Specified by:
    `registerPerson` in interface `ConsultrnCBSSPersonService`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.